$(function() {

        var $fullText = $('.admin-fullText');
        $('#admin-fullscreen').on('click', function() {
            $.AMUI.fullscreen.toggle();
        });

        var dataType = $('body').attr('data-type');
        for (key in pageData) {
            if (key == dataType) {
                pageData[key]();
            }
        }

        $('.tpl-switch').find('.tpl-switch-btn-view').on('click', function() {
            $(this).prev('.tpl-switch-btn').prop("checked", function() {
                    if ($(this).is(':checked')) {
                        return false
                    } else {
                        return true
                    }
                })
                // console.log('123123123')

        })
    
    // ==========================
    // 顶部搜索
    // ==========================
        $('.search-bar').focus(function(){
            $(this).parent().next('.am-dropdown-content').show();
        });
        $('.search-bar').focusout(function(){
        $(this).parent().next('.am-dropdown-content').hide();
         });
    // ==========================
    // 栏目列表全选全不选
    // ==========================
        var a=1;
          $('.tpl-table-fz-check').click(function(){
             if(a){
            $("input[type='checkbox']").prop('checked',true);
            if($('.am-select')){
                $('.am-select').text('取消');
            }
          }else{
                 $("input[type='checkbox']").prop('checked',false);
                if($('.am-select')){
                 $('.am-select').text('全选');
                }
          }
             a=!a
          })
           $('.am-select').click(function(){
             if(a){
            $("input[type='checkbox']").prop('checked',true);
            $(this).text('取消');
          }else{
                 $("input[type='checkbox']").prop('checked',false);
                 $(this).text('全选');
          }
             a=!a
          })
    // ==========================
    // 日志列表全选全不选
    // ==========================
    // ==========================
    // 点击删除对话框
    // ==========================
    
      $('.am-hide-sm-only').on('click', function() {
       var hrefChange=$(this).data().value;
        if($(this).find('.am-icon-trash-o').length!=0){
        $('#my-confirm').modal({
          relatedElement: this,
          onConfirm: function() {
             location.href=hrefChange;
          },
          onCancel: function() {

          }
        });
        }
      });
    
    //在线充值
    $(function() {
        $('#doc-prompt-toggle').on('click', function() {
            $('#my-prompt').modal({
                relatedElement: this,
                onConfirm: function(data) {
                    alert('你输入的是：' + data)
                },
                onCancel: function() {
                    // alert('不想说!');
                }
            });
        });
    });
    // ==========================
    // 点击详情对话框
    // ==========================

    // ==========================
    // 侧边导航下拉列表
    // ==========================

$('.tpl-left-nav-link-list').on('click', function() {
        $(this).siblings('.tpl-left-nav-sub-menu').slideToggle(80)
            .end()
            .find('.tpl-left-nav-more-ico').toggleClass('tpl-left-nav-more-ico-rotate');
    })
    // ==========================
    // 头部导航隐藏菜单
    // ==========================

$('.tpl-header-nav-hover-ico').on('click', function() {
    $('.tpl-left-nav').toggle();
    $('.tpl-content-wrapper').toggleClass('tpl-content-wrapper-hover');
})
// 日志搜索

$('.log-search').click(function(){
    $('#search').submit();
})

// 页面数据
var pageData = {
    // ===============================================
    // 首页
    // ===============================================
    'index': function indexData() {
    }
}
  

   

  })